import { Plugin } from '../plugin';
export declare class ZoomPlugin extends Plugin {
    readonly supportsPinchToZoom: boolean;
    private onWheelListener;
    private onKeyDownListener;
    private onKeyUpListener;
    private onScrollListener;
    private onScrollEndListener;
    private onTouchStartListener;
    private onTouchMoveListener;
    private onTouchEndListener;
    private wheelUnusedTicks;
    private wheelUnusedFactor;
    private touchUnusedTicks;
    private touchUnusedFactor;
    private isCtrlKeyDown;
    private isScrolling;
    private touchInfo?;
    constructor(supportsPinchToZoom?: boolean);
    protected init(): void;
    protected destroy(): void;
    private onKeyUp;
    private onKeyDown;
    private onScrollEnd;
    private onScroll;
    private onWheel;
    private onTouchStart;
    private onTouchMove;
    private onTouchEnd;
    private accumulateFactor;
    private accumulateTicks;
}
