export declare class ProgressBar {
    protected container: HTMLDivElement;
    protected span: HTMLSpanElement;
    private _total;
    private _value;
    onEnd?: () => void;
    constructor(total?: number, value?: number, container?: HTMLElement);
    get total(): number;
    set total(n: number);
    get value(): number;
    set value(n: number);
    get percentage(): number;
    get percentageForHumans(): string;
    private update;
    render(): HTMLDivElement;
}
